Data Site Search (deprecated)

POST Search Sites

POST /site_search

Operation ID: Search Sites. Tags: site_search. Security: oauth2_application.

Searches for sites.

The query attribute specifies a complex query that can be used to narrow down the search. These are the list of searchable attributes:

  • id - String

  • display_name - Localized < String >

  • description - Localized < String >

  • in_deletion - Boolean

The output of the query can also be sorted. These are the list of sortable attributes:

  • id - String

  • display_name - Localized < String >

  • description - Localized < String >

  • in_deletion - Boolean

This endpoint may return the following faults:

  • 400 - EnumConstraintViolationException - Thrown if the invalid value is entered for access_type
  • 400 - MalformedSearchParameterException - Thrown if the query is ill-formed.

Request body (required)

Media type: application/json, text/xml. Schema: search_request.

Responses

  • 400 EnumConstraintViolationException - Thrown if the invalid value is entered for access_type or MalformedSearchParameterException - Thrown if the query is ill-formed.

    Media type: application/json, text/xml. Schema: fault.

  • default

    Media type: application/json, text/xml. Schema: site_search_result.